List import batches
curl --request GET \
--url https://api.endclose.com/v1/data_streams/{key}/import_batches \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.endclose.com/v1/data_streams/{key}/import_batches"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.endclose.com/v1/data_streams/{key}/import_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"data_stream_key": "<string>",
"filename": "<string>",
"record_count": 123,
"total_credits": 123,
"total_debits": 123,
"net_amount": 123,
"decimal_places": 2,
"date_range_start": "2023-12-25",
"date_range_end": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"records_url": "<string>"
}
],
"has_more": true,
"offset": 123
}Import Batches
List import batches
Returns a paginated list of import batches for a data stream.
GET
/
data_streams
/
{key}
/
import_batches
List import batches
Authorizations
Path Parameters
The immutable data stream key
Query Parameters
Required range:
1 <= x <= 100Pagination offset
⌘I